
I was having a heart attack after shoveling snow. My wife drove me to the hospital. The doctor said I was having 'a really good heart attack' not long before I blacked out at the time of my arrest.

There was a brief darkness, a sensation of going through a dark void of some sort then I was in another place. I saw dogs playing in a grass-covered field and I was with them. I have always loved dogs. I think they were dogs that I once had as an adult or child. I'm a minister and I don't really believe 'all dogs go to heaven' but there they were!

Then I was in a different place. It was bright or red? Then there was an extremely bright light, like a vertical column of light. But it was much more than light, like a pillar of pure energy. It was sparking, sparkling, and much, much brighter and whiter than any sun. I floated over near it. I don't know if I wanted to or not, but I was about 6 inches from it. It was not hot or cold, just pure white energy. I was face-to-face with whatever this was. I took it to be the pure divine presence of God. I felt if I touched it that would NOT BE GOOD. But I felt total peace and that God was going to take care of everything, take care of me, and take care of my family.

There was a low rumbling going throughout everything, like the lowest note on an organ. It was a very holy sound. The sound wasn't intimidating as in 'scary' but it was intimidating, as in totally awesome and awe inspiring; maybe coming from the pillar? Then I realized, 'If I am here, I am either dead or dying!' So I said a prayer, 'Please send me back! Can I go back? If there is any way, please send me back!’

The next thing I felt was the paddles shocking me. 'Ow!' Those things hurt! I remember looking up at the doctor and he looked at the paddles like, 'Wow! They worked!' I did not know, but they had shocked me 15 to 20 times in the past 40 minutes. They were getting ready to call my time of death. The doctor had come out several times and told my wife absolutely nothing was working and there was no response to anything. When they tried one last time that is when I came back to consciousness. They transported me to another hospital by helicopter where I arrested two more times on the flight. They put a big stent in my heart in the left anterior descending artery. They shocked me, yet again, to start the heart up and it started. The best hope they held out to my wife was that I would have significant organ damage, almost certainly significant brain damage, and that I would likely live out the rest of my days in a nursing home.

When I woke up, I was in the cooling blankets. As soon as I could move again I started talking and telling jokes. My family and my wife couldn't believe it. A year later the only damage they have found is an EF of 35% for my heart, but after running 5 kilometer races for several years, it is up to 40%. [Editor’s Notation: EF or Ejection Fraction is a test that determines how well the heart pump with each beat. 50-75% is the normal.] I hope one day to get it up to 50% again which is a normal reading. Soon after my experience, I noticed light was too bright, especially sunlight. Sounds were too much also. That has continued to get worse the past several years to the point where this winter with the sun on the snow, I almost could not even look at it without a LOT of discomfort.
